com.tibco.bpm.service.connector

## Class ProcessManagerService

- java.lang.Object
- - com.tibco.bpm.service.connector.ProcessManagerService

- All Implemented Interfaces:
    ProcessManagerService

      public class ProcessManagerService
      extends java.lang.Object
      implements ProcessManagerService

  Provides access to the ProcessManagerService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.process.management.api.GeneralStatusType` | `cancelAdhocActivity(java.lang.String processID, java.lang.String activityName)`
    `java.lang.String` | `cancelProcessInstance(java.lang.String processId)` Manage process templates and process instances.
    `int` | `cancelProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName processQName)` Cancel all process instances for one or more process templates.
    `com.tibco.n2.process.management.api.PurgeStatus` | `checkPurgeTerminatedProcessInstances()` Checks the status of a purge job started with purgeTerminatedProcessInstances.
    `java.lang.String` | `clearMigrationRules(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Clear all currently set process instance migration rules for one or more process templates.
    `java.lang.String` | `createProcessInstance(com.tibco.n2.process.management.api.QualifiedProcessName processQName, java.lang.String operationName, com.tibco.n2.process.management.api.CreateProcessInstanceInputDocument.CreateProcessInstanceInput.ParameterMap parameterMap)` Create a process instance using a starter operation.
    `com.tibco.n2.process.management.api.ProcessIdDBInfo` | `decodeProcessId(java.lang.String processID)` Decodes the process (PVM) ID to its internal PVM database representation.
    `java.lang.String` | `dispatchSignal(com.tibco.n2.process.management.api.QualifiedProcessName processQName, java.lang.String operationName, com.tibco.n2.process.management.api.CreateProcessInstanceOptions options, com.tibco.n2.process.management.api.CreateProcessInstanceInputDocument.CreateProcessInstanceInput.ParameterMap parameterMap)`
    `com.tibco.n2.process.management.api.ActivityInstanceStatus` | `getActivityInstanceStatus(java.lang.String processId, java.lang.String activityName)` Get the status of an activity for a particular process instance.
    `com.tibco.n2.process.management.api.AvailableProcessInstanceVariablesDocument.AvailableProcessInstanceVariables` | `getAvailableProcessInstanceVariables(java.lang.String processID, java.lang.String variableName)` Get the details for all variables (or for a specific variable) that are available to the failed activity for a particular halted process instance.
    `com.tibco.n2.process.management.api.MigrationPointModuleType[]` | `getMigrationPoints(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` List the permissible process instance migration points for one or more process templates.
    `java.lang.Object` | `getParameterValue(java.lang.String processId, java.lang.String parameterName)` Get the value of a specific parameter for a particular process instance.
    `com.tibco.n2.process.management.api.ProcessInstance` | `getProcessInstanceStatus(java.lang.String processId)` Get the status of a particular process instance.
    `java.lang.String` | `getProcessInstanceSummary(java.lang.String processId)` Get a full summary report on a specific process instance.
    `com.tibco.n2.process.management.api.OperationInfo` | `getStarterOperationInfo(com.tibco.n2.process.management.api.QualifiedProcessName processQName, java.lang.String operationName)` List the parameter details for a particular starter operation.
    `java.lang.String` | `ignoreProcessInstance(java.lang.String processID)` Resume execution of a process instance that is in a HALTED state as a result of an activity failure.
    `int` | `ignoreProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Ignore failed activities and resume the execution of all HALTED process instances for one or more process templates.
    `boolean` | `isSetMigrationRule(com.tibco.n2.process.management.api.QualifiedTaskName qualifiedTaskName)` Test whether any process instance migration rules are set for a particular qualified task name.
    `com.tibco.n2.process.management.api.AdhocActivityTypes` | `listAdhocActivities(java.lang.String processID, java.lang.String globalDataRef)`
    `com.tibco.n2.process.management.api.MigrationRuleModuleTypeList[]` | `listMigrationRules(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` List the process instance migration rules that are set for one or more process templates.
    `com.tibco.n2.process.management.api.InstanceAttribute[]` | `listProcessInstanceAttributes(com.tibco.n2.process.management.api.QualifiedProcessName getProcessQName, com.tibco.n2.process.management.api.AttributeType.Enum attributeType)` List process instance attributes for one or more process templates.
    `com.tibco.n2.process.management.api.ProcessInstance[]` | `listProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName processQName)` List process instances for one or more process templates.
    `com.tibco.n2.process.management.api.TemplateAttribute[]` | `listProcessTemplateAttributes(com.tibco.n2.process.management.api.AttributeType.Enum attributeType)` List process template attributes.
    `com.tibco.n2.process.management.api.BasicProcessTemplate[]` | `listProcessTemplates(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` List process templates that match the input criteria.
    `com.tibco.n2.process.management.api.InstanceAttribute[]` | `listSetofProcessInstanceAttributes(com.tibco.n2.process.management.api.QualifiedProcessNames getProcessQNames, com.tibco.n2.process.management.api.AttributeType.Enum attributeType)` List process instance attributes for a set of process templates.
    `com.tibco.n2.process.management.api.StarterOperation[]` | `listStarterOperations(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` List available starter operations for one or more process templates.
    `int` | `purgeProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` PRIVATE API - Reserved for internal use
    `com.tibco.n2.process.management.api.PurgeStatus` | `purgeTerminatedProcessInstances(com.tibco.n2.process.management.api.PurgeOptions options)` Perform the purge immediately on the process instances with terminal states that correspond to one or more of the specified tagged process templates.
    `com.tibco.n2.process.management.api.QueryApplicationsResponseType` | `queryApplications(com.tibco.n2.process.management.api.Applications applications)` Return all process template(s) belonging to the specified set of application(s)
    `java.lang.String` | `queryDone(int pagingId)` Release all resources associated with a particular paged result set.
    `com.tibco.n2.process.management.api.Page` | `queryFirstPage(int pagingId)` List the first page of data from the result set of a particular query operation.
    `com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput` | `queryHaltedProcessInstances(java.lang.String query, int pageSize, com.tibco.n2.process.management.api.TemplateAttributes parameters)` List halted process instances that match certain criteria.
    `com.tibco.n2.process.management.api.Page` | `queryLastPage(int pagingId)` List the last page of data from the result set of a particular query operation.
    `com.tibco.n2.process.management.api.Page` | `queryNextPage(int pagingId)` List the next page of data from the result set of a particular query operation.
    `com.tibco.n2.process.management.api.Page` | `queryPreviousPage(int pagingId)` List the previous page of data from the result set of a particular query operation.
    `int` | `queryProcessInstanceCount(java.lang.String query)` Count the number of process instances that match certain criteria.
    `int` | `queryProcessInstanceCountAlt(java.lang.String query)` Count the number of process instances that match certain criteria.
    `int` | `queryProcessInstanceCountAlt(java.lang.String query, com.tibco.n2.process.management.api.StateModeType.Enum statusMode)` Count the number of process instances that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput` | `queryProcessInstances(java.lang.String query, int pageSize, com.tibco.n2.process.management.api.TemplateAttributes parameters)` List process instances that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput` | `queryProcessInstances(java.lang.String query, int pageSize, com.tibco.n2.process.management.api.TemplateAttributes parameters, com.tibco.n2.process.management.api.StateModeType.Enum statusMode)` List process instances that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput` | `queryProcessInstancesAlt(java.lang.String select, java.lang.String where, java.lang.String orderBy, int pageSize, com.tibco.n2.process.management.api.TemplateAttributes attributeMap)` List process instances that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput` | `queryProcessInstancesAlt(java.lang.String select, java.lang.String where, java.lang.String orderBy, int pageSize, com.tibco.n2.process.management.api.TemplateAttributes attributeMap, com.tibco.n2.process.management.api.StateModeType.Enum statusMode)` List process instances that match certain criteria.
    `int` | `queryProcessTemplateCount(java.lang.String query)` Count the number of process templates that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessTemplatesOutputDocument.QueryProcessTemplatesOutput` | `queryProcessTemplates(java.lang.String query, int pageSize)` List process templates that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessTemplatesOutputDocument.QueryProcessTemplatesOutput` | `queryProcessTemplatesAlt(java.lang.String select, java.lang.String where, java.lang.String orderBy, int pageSize)` List process templates that match certain criteria.
    `com.tibco.n2.process.management.api.GeneralStatusType` | `replaceUser(com.tibco.n2.process.management.api.ProcessInstancesType processInstances)`
    `com.tibco.n2.process.management.api.GeneralStatusType` | `replaceUser(java.lang.String user)`
    `com.tibco.n2.process.management.api.GeneralStatusType` | `replaceUser(java.lang.String user, com.tibco.n2.process.management.api.ProcessInstancesType processInstances)`
    `java.lang.String` | `resumeHaltedProcessInstance(java.lang.String processId)` Resume a process instance that is in a HALTED state as a result of an activity failure.
    `int` | `resumeHaltedProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Resumes all halted process instances for one or more process templates.
    `java.lang.String` | `resumeProcessInstance(java.lang.String processId)` Resume a previously suspended process instance.
    `int` | `resumeProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Resume all process instances for one or more process templates.
    `java.lang.String` | `retryProcessInstance(java.lang.String processID)` Retry a process instance that is in a HALTED state as a result of an activity failure.
    `int` | `retryProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Retry all halted process instances for one or more process templates.
    `com.tibco.n2.process.management.api.GeneralStatusType` | `runAdhocActivity(java.lang.String processID, java.lang.String activityName)`
    `com.tibco.n2.process.management.api.PurgeStatus` | `saveTerminatedProcessInstances(boolean willSave)` Allow process template(s) to be tagged as one to be auto purged or as one NOT to be auto purged.
    `com.tibco.n2.process.management.api.PurgeStatus` | `saveTerminatedProcessInstances(boolean willSave, org.apache.xmlbeans.GDuration saveDuration, com.tibco.n2.process.management.api.ProcessTemplatesType processTemplates, com.tibco.n2.process.management.api.Applications applications)` Allow process template(s) to be tagged as one to be auto purged or as one NOT to be auto purged.
    `java.lang.String` | `setAvailableProcessInstanceVariables(java.lang.String processID, com.tibco.n2.process.management.api.SetAvailableProcessInstanceVariablesInputDocument.SetAvailableProcessInstanceVariablesInput.VariableMap variableMap)` Set the value of one or more variables that are available to the failed activity for a particular halted process instance.
    `java.lang.String` | `setDeadlineExpiration(java.lang.String activityID, java.util.Calendar expirationTime)` Set/Change the deadline value for an activity.
    `java.lang.String` | `setMigrationRules(com.tibco.n2.process.management.api.MigrationRuleModuleType[] migrationRules)` Set one or more process instance migration rules.
    `java.lang.String` | `setPriority(java.lang.String processId, short priority)` Change the scheduling priority for execution of a process instance.
    `com.tibco.n2.process.management.api.PurgeStatus` | `stopPurgeTerminatedProcessInstances()` Stops the purge job started with purgeTerminatedProcessInstances.
    `java.lang.String` | `suspendProcessInstance(java.lang.String processId)` Suspend a process instance from being scheduled for execution.
    `int` | `suspendProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Suspend all process instances for one or more process templates from being scheduled for execution.
    `java.lang.String` | `unsetMigrationRules(com.tibco.n2.process.management.api.MigrationRuleModuleType[] migrationRules)` Unset one or more currently set process instance migration rules.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### cancelProcessInstance

          public java.lang.String cancelProcessInstance(java.lang.String processId)
                                                 throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                        com.tibco.n2.process.management.services.IllegalStateFault,
                                                        com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Manage process templates and process instances.
      Specified by:
        `cancelProcessInstance` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### cancelProcessInstances

          public int cancelProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName processQName)
                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                            com.tibco.n2.process.management.services.IllegalStateFault,
                                            com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Cancel all process instances for one or more process templates.
      Specified by:
        `cancelProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### createProcessInstance

          public java.lang.String createProcessInstance(com.tibco.n2.process.management.api.QualifiedProcessName processQName,
                                                        java.lang.String operationName,
                                                        com.tibco.n2.process.management.api.CreateProcessInstanceInputDocument.CreateProcessInstanceInput.ParameterMap parameterMap)
                                                 throws com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Create a process instance using a starter operation. (See also: listStarterOperations and getStarterOperationInfo.)
      Specified by:
        `createProcessInstance` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getActivityInstanceStatus

          public com.tibco.n2.process.management.api.ActivityInstanceStatus getActivityInstanceStatus(java.lang.String processId,
                                                                                                      java.lang.String activityName)
                                                                                               throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                                                                      com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                      com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Get the status of an activity for a particular process instance.
      Specified by:
        `getActivityInstanceStatus` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getParameterValue

          public java.lang.Object getParameterValue(java.lang.String processId,
                                                    java.lang.String parameterName)
                                             throws com.tibco.n2.process.management.services.IllegalArgumentFault

      Description copied from interface: `ProcessManagerService`
      Get the value of a specific parameter for a particular process instance.
      Specified by:
        `getParameterValue` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`

    - #### getProcessInstanceStatus

          public com.tibco.n2.process.management.api.ProcessInstance getProcessInstanceStatus(java.lang.String processId)
                                                                                       throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                              com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Get the status of a particular process instance.
      Specified by:
        `getProcessInstanceStatus` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getProcessInstanceSummary

          public java.lang.String getProcessInstanceSummary(java.lang.String processId)
                                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                            com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Get a full summary report on a specific process instance. (This operation is most useful for debugging.)
      Specified by:
        `getProcessInstanceSummary` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getStarterOperationInfo

          public com.tibco.n2.process.management.api.OperationInfo getStarterOperationInfo(com.tibco.n2.process.management.api.QualifiedProcessName processQName,
                                                                                           java.lang.String operationName)
                                                                                    throws com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List the parameter details for a particular starter operation. (See also: listStarterOperations and createProcessInstance.)
      Specified by:
        `getStarterOperationInfo` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listProcessInstanceAttributes

          public com.tibco.n2.process.management.api.InstanceAttribute[] listProcessInstanceAttributes(com.tibco.n2.process.management.api.QualifiedProcessName getProcessQName,
                                                                                                       com.tibco.n2.process.management.api.AttributeType.Enum attributeType)
                                                                                                throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                       com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process instance attributes for one or more process templates. (These attributes can be used in process instance queries - see queryProcessInstances.)
      Specified by:
        `listProcessInstanceAttributes` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listSetofProcessInstanceAttributes

          public com.tibco.n2.process.management.api.InstanceAttribute[] listSetofProcessInstanceAttributes(com.tibco.n2.process.management.api.QualifiedProcessNames getProcessQNames,
                                                                                                            com.tibco.n2.process.management.api.AttributeType.Enum attributeType)
                                                                                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                            com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process instance attributes for a set of process templates. (These attributes can be used in process instance queries - see queryProcessInstances.)
      Specified by:
        `listSetofProcessInstanceAttributes` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listProcessInstances

          public com.tibco.n2.process.management.api.ProcessInstance[] listProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName processQName)
                                                                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                            com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process instances for one or more process templates. This is a convenience operation: queryProcessInstances can return the same information, but requires more input.
      Specified by:
        `listProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listProcessTemplateAttributes

          public com.tibco.n2.process.management.api.TemplateAttribute[] listProcessTemplateAttributes(com.tibco.n2.process.management.api.AttributeType.Enum attributeType)
                                                                                                throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                       com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process template attributes. These attributes, which are pre-defined variables and are the same for all process templates, can be used in query for process templates - see queryProcessTemplates
      Specified by:
        `listProcessTemplateAttributes` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listProcessTemplates

          public com.tibco.n2.process.management.api.BasicProcessTemplate[] listProcessTemplates(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                                                                          throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                 com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process templates that match the input criteria. This is a convenience operation: queryProcessTemplates can return the same information, but requires more input.
      Specified by:
        `listProcessTemplates` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listStarterOperations

          public com.tibco.n2.process.management.api.StarterOperation[] listStarterOperations(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                                                                       throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                              com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List available starter operations for one or more process templates. See also createProcessInstance.
      Specified by:
        `listStarterOperations` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### purgeProcessInstances

          public int purgeProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                    throws com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      PRIVATE API - Reserved for internal use
      Specified by:
        `purgeProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryDone

          public java.lang.String queryDone(int pagingId)
                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                            com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Release all resources associated with a particular paged result set. An application must call this operation whenever it has finished with a particular paged result set.
      Specified by:
        `queryDone` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryNextPage

          public com.tibco.n2.process.management.api.Page queryNextPage(int pagingId)
                                                                 throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                        com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List the next page of data from the result set of a particular query operation.
      Specified by:
        `queryNextPage` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryPreviousPage

          public com.tibco.n2.process.management.api.Page queryPreviousPage(int pagingId)
                                                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                            com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List the previous page of data from the result set of a particular query operation.
      Specified by:
        `queryPreviousPage` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryLastPage

          public com.tibco.n2.process.management.api.Page queryLastPage(int pagingId)
                                                                 throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                        com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List the last page of data from the result set of a particular query operation.
      Specified by:
        `queryLastPage` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryFirstPage

          public com.tibco.n2.process.management.api.Page queryFirstPage(int pagingId)
                                                                  throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                         com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List the first page of data from the result set of a particular query operation.
      Specified by:
        `queryFirstPage` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstanceCount

          public int queryProcessInstanceCount(java.lang.String query)
                                        throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                               com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Count the number of process instances that match certain criteria.
      Specified by:
        `queryProcessInstanceCount` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstances

          public com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput queryProcessInstances(java.lang.String query,
                                                                                                                                           int pageSize,
                                                                                                                                           com.tibco.n2.process.management.api.TemplateAttributes parameters)
                                                                                                                                    throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                           com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process instances that match certain criteria.
      Specified by:
        `queryProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstancesAlt

          public com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput queryProcessInstancesAlt(java.lang.String select,
                                                                                                                                              java.lang.String where,
                                                                                                                                              java.lang.String orderBy,
                                                                                                                                              int pageSize,
                                                                                                                                              com.tibco.n2.process.management.api.TemplateAttributes attributeMap)
                                                                                                                                       throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                              com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process instances that match certain criteria. (This is a variation of queryProcessInstances in which the query string is divided into its constituent parts.)
      Specified by:
        `queryProcessInstancesAlt` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessTemplateCount

          public int queryProcessTemplateCount(java.lang.String query)
                                        throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                               com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Count the number of process templates that match certain criteria.
      Specified by:
        `queryProcessTemplateCount` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessTemplates

          public com.tibco.n2.process.management.api.QueryProcessTemplatesOutputDocument.QueryProcessTemplatesOutput queryProcessTemplates(java.lang.String query,
                                                                                                                                           int pageSize)
                                                                                                                                    throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                           com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process templates that match certain criteria.
      Specified by:
        `queryProcessTemplates` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessTemplatesAlt

          public com.tibco.n2.process.management.api.QueryProcessTemplatesOutputDocument.QueryProcessTemplatesOutput queryProcessTemplatesAlt(java.lang.String select,
                                                                                                                                              java.lang.String where,
                                                                                                                                              java.lang.String orderBy,
                                                                                                                                              int pageSize)
                                                                                                                                       throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                              com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process templates that match certain criteria. (This is a variation of queryProcessTemplates in which the query string is divided into its constituent parts.)
      Specified by:
        `queryProcessTemplatesAlt` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### resumeHaltedProcessInstance

          public java.lang.String resumeHaltedProcessInstance(java.lang.String processId)
                                                       throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                              com.tibco.n2.process.management.services.IllegalStateFault,
                                                              com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Resume a process instance that is in a HALTED state as a result of an activity failure.
      Specified by:
        `resumeHaltedProcessInstance` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### resumeHaltedProcessInstances

          public int resumeHaltedProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                           throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                  com.tibco.n2.process.management.services.IllegalStateFault,
                                                  com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Resumes all halted process instances for one or more process templates.
      Specified by:
        `resumeHaltedProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### resumeProcessInstance

          public java.lang.String resumeProcessInstance(java.lang.String processId)
                                                 throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                        com.tibco.n2.process.management.services.IllegalStateFault,
                                                        com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Resume a previously suspended process instance. See also: suspendProcessInstance and suspendProcessInstances.
      Specified by:
        `resumeProcessInstance` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### resumeProcessInstances

          public int resumeProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                            com.tibco.n2.process.management.services.IllegalStateFault,
                                            com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Resume all process instances for one or more process templates. See also: suspendProcessInstance and suspendProcessInstances.
      Specified by:
        `resumeProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### suspendProcessInstance

          public java.lang.String suspendProcessInstance(java.lang.String processId)
                                                  throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                         com.tibco.n2.process.management.services.IllegalStateFault,
                                                         com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Suspend a process instance from being scheduled for execution. See also resumeProcessInstance and resumeProcessInstances.
      Specified by:
        `suspendProcessInstance` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### suspendProcessInstances

          public int suspendProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                      throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                             com.tibco.n2.process.management.services.IllegalStateFault,
                                             com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Suspend all process instances for one or more process templates from being scheduled for execution. See also: resumeProcessInstance and resumeProcessInstances.
      Specified by:
        `suspendProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### setPriority

          public java.lang.String setPriority(java.lang.String processId,
                                              short priority)
                                       throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                              com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Change the scheduling priority for execution of a process instance.
      Specified by:
        `setPriority` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### setDeadlineExpiration

          public java.lang.String setDeadlineExpiration(java.lang.String activityID,
                                                        java.util.Calendar expirationTime)
                                                 throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                        com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Set/Change the deadline value for an activity.
      Specified by:
        `setDeadlineExpiration` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getMigrationPoints

          public com.tibco.n2.process.management.api.MigrationPointModuleType[] getMigrationPoints(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                                                                            throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                                                                   com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                   com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List the permissible process instance migration points for one or more process templates. (Migration points are the points in the process from which a process instance can be migrated to a different version.)
      Specified by:
        `getMigrationPoints` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### setMigrationRules

          public java.lang.String setMigrationRules(com.tibco.n2.process.management.api.MigrationRuleModuleType[] migrationRules)
                                             throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                    com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                    com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Set one or more process instance migration rules. (Each migration rule consists of a unique set of module name, module version from which to migrate, process template name, task name from which to migrate, and module version to which to migrate.)
      Specified by:
        `setMigrationRules` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listMigrationRules

          public com.tibco.n2.process.management.api.MigrationRuleModuleTypeList[] listMigrationRules(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                                                                               throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                                                                      com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                      com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List the process instance migration rules that are set for one or more process templates.
      Specified by:
        `listMigrationRules` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### isSetMigrationRule

          public boolean isSetMigrationRule(com.tibco.n2.process.management.api.QualifiedTaskName qualifiedTaskName)
                                     throws com.tibco.n2.process.management.services.IllegalStateFault,
                                            com.tibco.n2.process.management.services.IllegalArgumentFault,
                                            com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Test whether any process instance migration rules are set for a particular qualified task name.
      Specified by:
        `isSetMigrationRule` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### unsetMigrationRules

          public java.lang.String unsetMigrationRules(com.tibco.n2.process.management.api.MigrationRuleModuleType[] migrationRules)
                                               throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                      com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                      com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Unset one or more currently set process instance migration rules.
      Specified by:
        `unsetMigrationRules` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### clearMigrationRules

          public java.lang.String clearMigrationRules(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                               throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                      com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                      com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Clear all currently set process instance migration rules for one or more process templates.
      Specified by:
        `clearMigrationRules` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### retryProcessInstance

          public java.lang.String retryProcessInstance(java.lang.String processID)
                                                throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                       com.tibco.n2.process.management.services.IllegalStateFault,
                                                       com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Retry a process instance that is in a HALTED state as a result of an activity failure.
      Specified by:
        `retryProcessInstance` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### retryProcessInstances

          public int retryProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                    throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                           com.tibco.n2.process.management.services.IllegalStateFault,
                                           com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Retry all halted process instances for one or more process templates.
      Specified by:
        `retryProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### ignoreProcessInstance

          public java.lang.String ignoreProcessInstance(java.lang.String processID)
                                                 throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                        com.tibco.n2.process.management.services.IllegalStateFault,
                                                        com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Resume execution of a process instance that is in a HALTED state as a result of an activity failure. Execution continues as if the failed activity had successfully completed.
      Specified by:
        `ignoreProcessInstance` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### ignoreProcessInstances

          public int ignoreProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                            com.tibco.n2.process.management.services.IllegalStateFault,
                                            com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Ignore failed activities and resume the execution of all HALTED process instances for one or more process templates. Execution continues as if the failed activities had successfully completed.
      Specified by:
        `ignoreProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### decodeProcessId

          public com.tibco.n2.process.management.api.ProcessIdDBInfo decodeProcessId(java.lang.String processID)
                                                                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                     com.tibco.n2.process.management.services.IllegalStateFault,
                                                                                     com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Decodes the process (PVM) ID to its internal PVM database representation.
      Specified by:
        `decodeProcessId` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryHaltedProcessInstances

          public com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput queryHaltedProcessInstances(java.lang.String query,
                                                                                                                                                 int pageSize,
                                                                                                                                                 com.tibco.n2.process.management.api.TemplateAttributes parameters)
                                                                                                                                          throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                                 com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List halted process instances that match certain criteria.
      Specified by:
        `queryHaltedProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getAvailableProcessInstanceVariables

          public com.tibco.n2.process.management.api.AvailableProcessInstanceVariablesDocument.AvailableProcessInstanceVariables getAvailableProcessInstanceVariables(java.lang.String processID,
                                                                                                                                                                      java.lang.String variableName)
                                                                                                                                                               throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                                                      com.tibco.n2.process.management.services.IllegalStateFault,
                                                                                                                                                                      com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Get the details for all variables (or for a specific variable) that are available to the failed activity for a particular halted process instance.
      Specified by:
        `getAvailableProcessInstanceVariables` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### setAvailableProcessInstanceVariables

          public java.lang.String setAvailableProcessInstanceVariables(java.lang.String processID,
                                                                       com.tibco.n2.process.management.api.SetAvailableProcessInstanceVariablesInputDocument.SetAvailableProcessInstanceVariablesInput.VariableMap variableMap)
                                                                throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                                       com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                       com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Set the value of one or more variables that are available to the failed activity for a particular halted process instance.
      Specified by:
        `setAvailableProcessInstanceVariables` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### saveTerminatedProcessInstances

          public com.tibco.n2.process.management.api.PurgeStatus saveTerminatedProcessInstances(boolean willSave)
                                                                                         throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Allow process template(s) to be tagged as one to be auto purged or as one NOT to be auto purged. If process template(s) are tagged to be auto-purge, it means the corresponding process instances are eligible to be purge when they reach a terminal state.
      Specified by:
        `saveTerminatedProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### saveTerminatedProcessInstances

          public com.tibco.n2.process.management.api.PurgeStatus saveTerminatedProcessInstances(boolean willSave,
                                                                                                org.apache.xmlbeans.GDuration saveDuration,
                                                                                                com.tibco.n2.process.management.api.ProcessTemplatesType processTemplates,
                                                                                                com.tibco.n2.process.management.api.Applications applications)
                                                                                         throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Allow process template(s) to be tagged as one to be auto purged or as one NOT to be auto purged. If process template(s) are tagged to be auto-purge, it means the corresponding process instances are eligible to be purge when they reach a terminal state.
      Specified by:
        `saveTerminatedProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryApplications

          public com.tibco.n2.process.management.api.QueryApplicationsResponseType queryApplications(com.tibco.n2.process.management.api.Applications applications)
                                                                                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                     com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Return all process template(s) belonging to the specified set of application(s)
      Specified by:
        `queryApplications` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### checkPurgeTerminatedProcessInstances

          public com.tibco.n2.process.management.api.PurgeStatus checkPurgeTerminatedProcessInstances()
                                                                                               throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                      com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Checks the status of a purge job started with purgeTerminatedProcessInstances.
      Specified by:
        `checkPurgeTerminatedProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### stopPurgeTerminatedProcessInstances

          public com.tibco.n2.process.management.api.PurgeStatus stopPurgeTerminatedProcessInstances()
                                                                                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                     com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Stops the purge job started with purgeTerminatedProcessInstances.
      Specified by:
        `stopPurgeTerminatedProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### purgeTerminatedProcessInstances

          public com.tibco.n2.process.management.api.PurgeStatus purgeTerminatedProcessInstances(com.tibco.n2.process.management.api.PurgeOptions options)
                                                                                          throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                 com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Perform the purge immediately on the process instances with terminal states that correspond to one or more of the specified tagged process templates. There can only be one outstanding abhoc purge job at one time.
      Specified by:
        `purgeTerminatedProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstanceCountAlt

          public int queryProcessInstanceCountAlt(java.lang.String query)
                                           throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                  com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Count the number of process instances that match certain criteria.
      Specified by:
        `queryProcessInstanceCountAlt` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstanceCountAlt

          public int queryProcessInstanceCountAlt(java.lang.String query,
                                                  com.tibco.n2.process.management.api.StateModeType.Enum statusMode)
                                           throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                  com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      Count the number of process instances that match certain criteria.
      Specified by:
        `queryProcessInstanceCountAlt` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstances

          public com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput queryProcessInstances(java.lang.String query,
                                                                                                                                           int pageSize,
                                                                                                                                           com.tibco.n2.process.management.api.TemplateAttributes parameters,
                                                                                                                                           com.tibco.n2.process.management.api.StateModeType.Enum statusMode)
                                                                                                                                    throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                           com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process instances that match certain criteria.
      Specified by:
        `queryProcessInstances` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstancesAlt

          public com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput queryProcessInstancesAlt(java.lang.String select,
                                                                                                                                              java.lang.String where,
                                                                                                                                              java.lang.String orderBy,
                                                                                                                                              int pageSize,
                                                                                                                                              com.tibco.n2.process.management.api.TemplateAttributes attributeMap,
                                                                                                                                              com.tibco.n2.process.management.api.StateModeType.Enum statusMode)
                                                                                                                                       throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                              com.tibco.n2.process.management.services.OperationFailedFault

      Description copied from interface: `ProcessManagerService`
      List process instances that match certain criteria. (This is a variation of queryProcessInstances in which the query string is divided into its constituent parts.)
      Specified by:
        `queryProcessInstancesAlt` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### replaceUser

          public com.tibco.n2.process.management.api.GeneralStatusType replaceUser(java.lang.String user)
                                                                            throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                   com.tibco.n2.process.management.services.OperationFailedFault

      Specified by:
        `replaceUser` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### replaceUser

          public com.tibco.n2.process.management.api.GeneralStatusType replaceUser(com.tibco.n2.process.management.api.ProcessInstancesType processInstances)
                                                                            throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                   com.tibco.n2.process.management.services.OperationFailedFault

      Specified by:
        `replaceUser` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### replaceUser

          public com.tibco.n2.process.management.api.GeneralStatusType replaceUser(java.lang.String user,
                                                                                   com.tibco.n2.process.management.api.ProcessInstancesType processInstances)
                                                                            throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                   com.tibco.n2.process.management.services.OperationFailedFault

      Specified by:
        `replaceUser` in interface `ProcessManagerService`
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listAdhocActivities

          public com.tibco.n2.process.management.api.AdhocActivityTypes listAdhocActivities(java.lang.String processID,
                                                                                            java.lang.String globalDataRef)
                                                                                     throws java.rmi.RemoteException,
                                                                                            com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                            com.tibco.n2.process.management.services.OperationFailedFault

      Specified by:
        `listAdhocActivities` in interface `ProcessManagerService`
      Throws:
        `java.rmi.RemoteException`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### runAdhocActivity

          public com.tibco.n2.process.management.api.GeneralStatusType runAdhocActivity(java.lang.String processID,
                                                                                        java.lang.String activityName)
                                                                                 throws java.rmi.RemoteException,
                                                                                        com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                        com.tibco.n2.process.management.services.OperationFailedFault

      Specified by:
        `runAdhocActivity` in interface `ProcessManagerService`
      Throws:
        `java.rmi.RemoteException`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### cancelAdhocActivity

          public com.tibco.n2.process.management.api.GeneralStatusType cancelAdhocActivity(java.lang.String processID,
                                                                                           java.lang.String activityName)
                                                                                    throws java.rmi.RemoteException,
                                                                                           com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                           com.tibco.n2.process.management.services.OperationFailedFault

      Specified by:
        `cancelAdhocActivity` in interface `ProcessManagerService`
      Throws:
        `java.rmi.RemoteException`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### dispatchSignal

          public java.lang.String dispatchSignal(com.tibco.n2.process.management.api.QualifiedProcessName processQName,
                                                 java.lang.String operationName,
                                                 com.tibco.n2.process.management.api.CreateProcessInstanceOptions options,
                                                 com.tibco.n2.process.management.api.CreateProcessInstanceInputDocument.CreateProcessInstanceInput.ParameterMap parameterMap)
                                          throws java.rmi.RemoteException,
                                                 com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                 com.tibco.n2.process.management.services.OperationFailedFault

      Specified by:
        `dispatchSignal` in interface `ProcessManagerService`
      Throws:
        `java.rmi.RemoteException`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.